|  | Home · All Classes · Modules

# QHBoxLayout Class Reference
[QtGui module]

The QHBoxLayout class lines up widgets horizontally. More...

Inherits QBoxLayout.

### Methods

- __init__ (self)
- __init__ (self, QWidget parent)

## Detailed Description

The QHBoxLayout class lines up widgets horizontally.

This class is used to construct horizontal box layout objects. See QBoxLayout for details.

The simplest use of the class is like this:

         QWidget *window = new QWidget;
         QPushButton *button1 = new QPushButton("One");
         QPushButton *button2 = new QPushButton("Two");
         QPushButton *button3 = new QPushButton("Three");
         QPushButton *button4 = new QPushButton("Four");
         QPushButton *button5 = new QPushButton("Five");

         QHBoxLayout *layout = new QHBoxLayout;
         layout->addWidget(button1);
         layout->addWidget(button2);
         layout->addWidget(button3);
         layout->addWidget(button4);
         layout->addWidget(button5);

         window->setLayout(layout);
         window->show();

First, we create the widgets we want in the layout. Then, we create the QHBoxLayout object and add the widgets into the layout. Finally, we call QWidget.setLayout() to install the QHBoxLayout object onto the widget. At that point, the widgets in the layout are reparented to have `window` as their parent.

## Method Documentation

### QHBoxLayout.__init__ (self)

Constructs a new horizontal box. You must add it to another layout.

### QHBoxLayout.__init__ (self, QWidget parent)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.

Constructs a new top-level horizontal box with parent parent.